Mailinglist Archive: opensuse-factory (930 mails)

< Previous Next >
[opensuse-factory] Leap 15.0 Build 187.1 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&version=15.0&build=187.1&groupid=50
https://bugzilla.opensuse.org/buglist.cgi?product=openSUSE%20Distribution&query_format=advanced&resolution=---&version=Leap%2015.0

When you reply to discuss some issues, make sure to change the subject.
Please use the test plan at
https://docs.google.com/spreadsheets/d/1AGKijKpKiJCB616-bHVoNQuhWHpQLHPWCb3m1p6gXPc/edit#gid=168760829
to record your testing efforts and use bugzilla to report bugs.

Packages changed:
Mesa
Mesa-drivers
MozillaThunderbird (52.6 -> 52.7)
aaa_base
attr
autoyast2 (4.0.40 -> 4.0.44)
bash
blog
bluedevil5 (5.12.3 -> 5.12.4)
breeze (5.12.3 -> 5.12.4)
breeze-gtk (5.12.3 -> 5.12.4)
breeze4-style (5.12.3 -> 5.12.4)
bzip2
ca-certificates
ca-certificates-mozilla
coreutils
cracklib
cups (2.2.6 -> 2.2.7)
diffutils
discover (5.12.3 -> 5.12.4)
dracut
drkonqi5 (5.12.3 -> 5.12.4)
ebtables
file
filesystem
findutils
gdm
geoclue2
glibc
glibc
gnutls
groff
groff-full
grub2
gzip
haveged (1.9.1 -> 1.9.2)
hplip
ipset (6.35 -> 6.36)
iptables (1.6.1 -> 1.6.2)
kactivitymanagerd (5.12.3 -> 5.12.4)
kcm_sddm (5.12.3 -> 5.12.4)
kde-cli-tools5 (5.12.3 -> 5.12.4)
kde-gtk-config5 (5.12.3 -> 5.12.4)
kde-user-manager (5.12.3 -> 5.12.4)
kernel-firmware (20180312 -> 20180320)
kgamma5 (5.12.3 -> 5.12.4)
khotkeys5 (5.12.3 -> 5.12.4)
kinfocenter5 (5.12.3 -> 5.12.4)
kmenuedit5 (5.12.3 -> 5.12.4)
kscreen5 (5.12.3 -> 5.12.4)
kscreenlocker (5.12.3 -> 5.12.4)
ksshaskpass5 (5.12.3 -> 5.12.4)
ksysguard5 (5.12.3 -> 5.12.4)
kwayland-integration (5.12.3 -> 5.12.4)
kwin5 (5.12.3 -> 5.12.4)
libgcrypt
libindicator (12.10.2+bzr20151208 -> 16.10.0+bzr20171205)
libkdecoration2 (5.12.3 -> 5.12.4)
libkscreen2 (5.12.3 -> 5.12.4)
libksysguard5 (5.12.3 -> 5.12.4)
libsolv (0.6.33 -> 0.6.34)
libstorage-ng (3.3.197 -> 3.3.202)
libustr
libverto
libzio
libzypp-plugin-appdata (1.0.1+git.20170629 -> 1.0.1+git.20180327)
lsof (4.90 -> 4.91)
milou5 (5.12.3 -> 5.12.4)
multipath-tools (0.7.3+53+suse.140f4937e9e7 -> 0.7.3+59+suse.1b6191c26774)
netcfg (11.5 -> 11.6)
nghttp2
npth
okular
openSUSE-build-key
openldap2
openssl (1.1.0g -> 1.1.0h)
openssl-1_1 (1.1.0g -> 1.1.0h)
osinfo-db
oxygen5 (5.12.3 -> 5.12.4)
p11-kit
pam
patterns-base
patterns-kde
pcre
php7
plasma-nm5 (5.12.3 -> 5.12.4)
plasma5-addons (5.12.3 -> 5.12.4)
plasma5-desktop (5.12.3 -> 5.12.4)
plasma5-integration (5.12.3 -> 5.12.4)
plasma5-openSUSE (15.0~git20180116T134836~c3ce1b2 ->
15.0~git20180328T172058~30e1414)
plasma5-pa (5.12.3 -> 5.12.4)
plasma5-workspace (5.12.3 -> 5.12.4)
polkit-kde-agent-5 (5.12.3 -> 5.12.4)
popt
postfix (3.2.4 -> 3.3.0)
powerdevil5 (5.12.3 -> 5.12.4)
procps
python-urwid (1.3.1 -> 2.0.1)
read-only-root-fs (1.0+git20180227.44d5e8a -> 1.0+git20180321.a5b34ab)
rebootmgr (0.16 -> 0.17)
rpm
rsyslog (8.32.0 -> 8.33.1)
ruby2.5
sane-backends
sddm
sed
sharutils
spectacle
sysconfig
systemd
systemsettings5 (5.12.3 -> 5.12.4)
texinfo
tigervnc
timezone (2018c -> 2018d)
timezone-java (2018c -> 2018d)
which
wicked (0.6.46 -> 0.6.47)
xdg-desktop-portal-kde (5.12.3 -> 5.12.4)
xz
yast2 (4.0.59 -> 4.0.61)
yast2-add-on (4.0.6 -> 4.0.7)
yast2-bootloader (4.0.23 -> 4.0.24)
yast2-firewall (4.0.19 -> 4.0.22)
yast2-installation (4.0.41 -> 4.0.42)
yast2-network (4.0.22 -> 4.0.24)
yast2-ntp-client (4.0.9 -> 4.0.10)
yast2-packager (4.0.49 -> 4.0.52)
yast2-storage-ng (4.0.138 -> 4.0.142)
yast2-users (4.0.3 -> 4.0.4)

=== Details ===

==== Mesa ====
Subpackages: Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1 libwayland-egl1

- Update to 18.0.0 final
* one-and-only change since 18.0.0-rc5: updated release notes
- Changes since 17.3
* The top highlights include:
+ Cannonlake support on i965 and anv
+ GL 4.3/GLES 3.1 support on r600/evergreen with hw fp64 support
+ Meson build system
* ANV Extensions:
+ VK_EXT_external_memory_dma_buf
* RADV Extensions:
+ VK_ANDROID_native_buffer
+ VK_KHR_external_fence
+ VK_KHR_external_fence_capabilities
+ VK_KHR_external_fence_fd
+ VK_KHR_get_surface_capabilities2
+ VK_EXT_discard_rectangles
+ VK_EXT_external_memory_dma_buf
+ VK_AMD_shader_info
* EGL:
+ Support for RGBA/RGBX 1010102 formats
+ EGL_EXT_pixel_format_float
+ Final planned release to ship wayland-egl. Now provided by wayland.
* GLX:
+ Darwin/Apple fixes
* Mesa core
+ Support 1 binary format for GL_ARB_get_program_binary on i965
+ drirc workarounds:
(*) Unreal 4 Editor
(*) Observer
(*) Steamroll
(*) Refunct
* drirc mesa_glthread whitelists:
+ Mount and Blade Warband
- i965:
* Disk shader cache when MESA_GLSL_CACHE_DISABLE is set to "false"
* GL_EXT_disjoint_timer_query on gen6+

==== Mesa-drivers ====
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- Update to 18.0.0 final
* one-and-only change since 18.0.0-rc5: updated release notes
- Changes since 17.3
* The top highlights include:
+ Cannonlake support on i965 and anv
+ GL 4.3/GLES 3.1 support on r600/evergreen with hw fp64 support
+ Meson build system
* ANV Extensions:
+ VK_EXT_external_memory_dma_buf
* RADV Extensions:
+ VK_ANDROID_native_buffer
+ VK_KHR_external_fence
+ VK_KHR_external_fence_capabilities
+ VK_KHR_external_fence_fd
+ VK_KHR_get_surface_capabilities2
+ VK_EXT_discard_rectangles
+ VK_EXT_external_memory_dma_buf
+ VK_AMD_shader_info
* EGL:
+ Support for RGBA/RGBX 1010102 formats
+ EGL_EXT_pixel_format_float
+ Final planned release to ship wayland-egl. Now provided by wayland.
* GLX:
+ Darwin/Apple fixes
* Mesa core
+ Support 1 binary format for GL_ARB_get_program_binary on i965
+ drirc workarounds:
(*) Unreal 4 Editor
(*) Observer
(*) Steamroll
(*) Refunct
* drirc mesa_glthread whitelists:
+ Mount and Blade Warband
- i965:
* Disk shader cache when MESA_GLSL_CACHE_DISABLE is set to "false"
* GL_EXT_disjoint_timer_query on gen6+

==== MozillaThunderbird ====
Version update (52.6 -> 52.7)
Subpackages: MozillaThunderbird-translations-common

- update to Thunderbird 52.7
* Searching message bodies of messages in local folders, including
filter and quick filter operations, did not find content in
message attachments
* Better error handling for Yahoo accounts
- The following security fixes are included as part of the mozilla
platform. In general, these flaws cannot be exploited through
email in the Thunderbird product because scripting is disabled
when reading mail, but are potentially risks in browser or
browser-like contexts (MFSA 2018-09, bsc#1085130, bsc#1085671):
* CVE-2018-5127 (bmo#1430557)
Buffer overflow manipulating SVG animatedPathSegList
* CVE-2018-5129 (bmo#1428947)
Out-of-bounds write with malformed IPC messages
* CVE-2018-5144 (bmo#1440926)
Integer overflow during Unicode conversion
* CVE-2018-5146 (bmo#1446062)
Out of bounds memory write in libvorbis
* CVE-2018-5125 (bmo1416529,bmo#1434580,bmo#1434384,bmo#1437450,
bmo#1437507,bmo#1426988,bmo#1438425,bmo#1324042,bmo#1437087,
bmo#1443865,bmo#1425520)
Memory safety bugs fixed in Firefox 59, Firefox ESR 52.7, and
Thunderbird 52.7
* CVE-2018-5145 (bmo#1261175,bmo#1348955)
Memory safety bugs fixed in Firefox ESR 52.7 and Thunderbird
52.7

==== aaa_base ====
Subpackages: aaa_base-extras aaa_base-malloccheck

- Use %license (boo#1082318)

==== attr ====
Subpackages: libattr1 libattr1-32bit

- Use %license instead of %doc [bsc#1082318]

==== autoyast2 ====
Version update (4.0.40 -> 4.0.44)
Subpackages: autoyast2-installation

- Properly abort when probing devices fails (part of bsc#1083672).
- 4.0.44
- Do not export an <id/> element in the partitioning section
(bsc#1013047)
- Add-On-Products: Handling error popup for wrong settings.
(bnc#1084596)
- 4.0.43
- Permitted the use of 'listentry' element in all the software
AutoYaST schema list entries (bsc#1013047)
- 4.0.42
- Added more entries to be used instead of the listentry tag when
cloning the system (bsc#1013047)
- 4.0.41

==== bash ====
Subpackages: bash-doc bash-lang libreadline7 readline-doc

- Create readline-devel-static package to re-enable static libraries
again (boo#1082913)
- Use %license (boo#1082318)
- Add patch 19 to bash-4.4-patches.tar.bz2
* With certain values for PS1, especially those that wrap onto
three or more lines, readline will miscalculate the number of
invisible characters, leading to crashes and core dumps.

==== blog ====

- Use %license instead of %doc [bsc#1082318]

==== bluedevil5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: bluedevil5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== breeze ====
Version update (5.12.3 -> 5.12.4)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* - Moved shadowSize from anonymous namespace to static member function -
calculate proper shadow size for Mdi windows - fix mdi windows shadow
renderning.

==== breeze-gtk ====
Version update (5.12.3 -> 5.12.4)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== breeze4-style ====
Version update (5.12.3 -> 5.12.4)

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* - Moved shadowSize from anonymous namespace to static member function -
calculate proper shadow size for Mdi windows - fix mdi windows shadow
renderning.

==== bzip2 ====
Subpackages: libbz2-1 libbz2-1-32bit

- Update autotools patchset:
D bzip2-1.0.6-autoconfiscated.patch
A bzip2-1.0.6.2-autoconfiscated.patch
- Use %license (boo#1082318)

==== ca-certificates ====

- Use %license instead of %doc [bsc#1082318]

==== ca-certificates-mozilla ====

- Use %license instead of %doc [bsc#1082318]

==== coreutils ====
Subpackages: coreutils-lang

- Use %license (boo#1082318)

==== cracklib ====
Subpackages: libcrack2 libcrack2-32bit

- Use %license (boo#1082318)

==== cups ====
Version update (2.2.6 -> 2.2.7)
Subpackages: cups-client cups-config libcups2 libcupscgi1 libcupsimage2
libcupsmime1 libcupsppdc1

- Version upgrade to 2.2.7:
CUPS 2.2.7 is a general bug fix release.
For details see https://github.com/apple/cups/releases
or the CHANGES.md file.
Changes include:
* Additional security fixes for:
bsc#1061066 DBUS library aborts caller process
in _dbus_check_is_valid_utf8 (in particular that aborts cupsd)
and
bsc#1087018 CVE-2017-18248: cups: The add_job function in
scheduler/ipp.c in CUPS before 2.2.6, when D-Bus support is
enabled, can be crashed by remote attackers by sending print
jobs with an invalid username, related to a D-Bus notification
which are the CUPS upstream issues
https://github.com/apple/cups/issues/5143
Remote DoS attack against cupsd via invalid username
and malicious D-Bus library
and
https://github.com/apple/cups/issues/5186
squash non-UTF-8 strings into ASCII on plain IPP level
and
https://github.com/apple/cups/issues/5229
persistently substitute invalid job attributes
with default values - not only in add_job
see also
bsc#1087072 dbus-1:
Disable assertions to prevent un-expected DDoS attacks
* NOTICE: Raw print queues are now deprecated (Issue #5269)
so that now there is a warning message when you
add or modify a queue to use the "raw driver" but
raw printing will continue to work through CUPS 2.3.x, cf.
https://lists.cups.org/pipermail/cups/2018-March/074060.html
* Fixed an Avahi crash bug in the scheduler (Issue #5268)
* Systemd did not restart cupsd when configuration changes
were made that required a restart (Issue #5263)
* The scheduler could crash while adding an IPP Everywhere
printer (Issue #5258)
* The scheduler now supports using temporary print queues
for older IPP/1.1 print queues like those shared by CUPS 1.3
and earlier (Issue #5241)
* Kerberized printing to another CUPS server did not work
correctly (Issue #5233)
* More fixes for printing to old CUPS servers (Issue #5211)
* The scheduler now substitutes default values for invalid
job attributes when running in "relaxed conformance"
mode (Issue #5186)
* The cups-driverd program incorrectly stopped scanning PPDs
as soon as a loop was seen (Issue #5170)
* The `SSLOptions` directive now supports `MinTLS` and `MaxTLS`
options to control the minimum and maximum TLS versions
that will be allowed, respectively (Issue #5119)
* The scheduler did not write out dirty configuration and
state files if there were open client connections (Issue #5118)
* The `lpadmin` command now provides a better error message when
an unsupported System V interface script is used (Issue #5111)
* No longer support backslash, question mark, or quotes
in printer names (Issue #4966)
* The CUPS library now supports the latest HTTP Digest
authentication specification including support
for SHA-256 (Issue #4862)
* TLS connections now properly timeout (rdar://34938533)

==== diffutils ====
Subpackages: diffutils-lang

- Use %license (boo#1082318)

==== discover ====
Version update (5.12.3 -> 5.12.4)
Subpackages: discover-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* Simplify the tasks view (kde#391760)
* Remove unneeded includes
* Fix dbus path
* Include a test for cancelling flatpak installations
* Improve status of FlatpakTransaction
* Remove pointless i18n call
* KNS: Only indicate that it's fetching if already fetching reviews
* Include a test that makes sure we can list origins
* Solve some inconsistencies found when testing flatpak
* Introduce a flatpak test
* No need to pass the extra arguments on the Update Action (kde#391801)
* Add Qt5::Xml
* Simplify KNSTransaction creation (kde#390236)
* Fix test
* Add a test to make sure we don't add resources with the wrong URL
* kns: Fix logic for adding screenshots (kde#391190)
* Add debug information when the searched URI is wrong
- Add patch to show an informative warning when adding FlatHub:
* 0001-Warning-for-FlatHub.patch

==== dracut ====

- Use %license instead of %doc [bsc#1082318]

==== drkonqi5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: drkonqi5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== ebtables ====

- fix ExecStart/ExecStop path in ebtables.service [bnc#1085228]
- Fix ethertypes ownership, should be %exclude, not %ghost.
- Resolve conflict with iptables-nft and obtain ethertypes from new netcfg
minor version. FATE#320520

==== file ====
Subpackages: file-magic libmagic1 libmagic1-32bit

- Use %license (boo#1082318)

==== filesystem ====

- drop /etc/xinetd.d (bsc#1084457)
- Handle aaa_base moving the license files to /usr/share/licenses.
- Use lib64 filelist on riscv64

==== findutils ====
Subpackages: findutils-lang

- Use %license (boo#1082318)

==== gdm ====
Subpackages: gdm-lang gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Drop gdm-nb-translations.patch that breaks
translation-update-upstream (boo#1087338).

==== geoclue2 ====
Subpackages: system-user-srvGeoClue typelib-1_0-Geoclue-2_0

- Modernize spec-file by calling spec-cleaner

==== glibc ====
Subpackages: glibc-32bit glibc-locale-32bit

- res-send-enomem.patch: Fix crash in resolver on memory allocation
failure (bsc#1086690, BZ #23005)

==== glibc ====
Subpackages: glibc-extra glibc-locale nscd

- res-send-enomem.patch: Fix crash in resolver on memory allocation
failure (bsc#1086690, BZ #23005)

==== gnutls ====

- build without DANE support on SLE-15, as it doesn't have unbound
(bsc#1086428)
- add back refreshed gnutls-3.6.0-disable-flaky-dtls_resume-test.patch
the dtls-resume test still keeps randomly failing on PPC
- remove gnutls-3.6.0-disable-flaky-dtls_resume-test.patch
patch does not apply any more and apparently the build
suceeds even if the formerly flaky testcase is run (bsc#1086579)

==== groff ====

- Use %license instead of %doc [bsc#1082318]

==== groff-full ====
Subpackages: gxditview

- Use %license instead of %doc [bsc#1082318]

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi

- Fix incorrect netmask on ppc64 (bsc#1085419)
* grub2-Fix-incorrect-netmask-on-ppc64.patch

==== gzip ====

- Use %license (boo#1082318)

==== haveged ====
Version update (1.9.1 -> 1.9.2)
Subpackages: libhavege1

- Use %license instead of %doc [bsc#1082318]
- update to 1.9.2
* Cross compile fixes
* Limit watermark max to less than pool size to avoid 100% cpu
condition
* Add service.suse init script
- drop fix-enforced-clock-gettime.patch (fixed upstream)
- cleanup with spec-cleaner

==== hplip ====
Subpackages: hplip-hpijs hplip-sane

- photocard.py: fixed broken import statement (bsc#1071255)
* added photocard-fix-import-error-for-pcardext.patch
* spec file: fixed dependency for dbus-1-python
- Use python3 on tumbleweed and SLE15/Leap15 (bsc#1071255)
* add pcardext-python3-fixes.patch
* add hplip-misc-missing-includes-and-definitions.patch
* hp_ipp.h-add-missing-prototypes.patch
* spec file: replace "/usr/bin/env python" and "/usr/bin/python" with
desired interpreter
* spec file: add py2/py3 selection macros
* spec file: dropped python-openssl build dependency (not needed anymore)

==== ipset ====
Version update (6.35 -> 6.36)
Subpackages: libipset11

- Update to new upstream release 6.36
* Adding a IPv4 range x.x.x.x?255.255.255.255 could lead to
memory exhaustion, which has been fixed.
- Drop 0001-build-do-install-libipset-args.h.patch (merged)

==== iptables ====
Version update (1.6.1 -> 1.6.2)
Subpackages: libiptc0 libxtables12 xtables-plugins

- Fix ethertypes ownership, should be %exclude, not %ghost.
- Resolve conflict with ebtables and obtain ethertypes from new netcfg minor
version. FATE#320520
- Update to new upstream release 1.6.2
* add support for the "srh" match
* add randomize-full for the "MASQUERADE" target
* add rate match mode to the "hashlimit" match
- Add iptables-batch-lock.patch: Fix a locking issue of
iptables-batch which can cause it to spuriously fail when other
programs modify the iptables rules in parallel (bnc#1045130).
This can especially affect SuSEfirewall2 during startup.

==== kactivitymanagerd ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kactivitymanagerd-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== kcm_sddm ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kcm_sddm-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== kde-cli-tools5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kde-cli-tools5-lang

- Add patches to support wayland sessions without QT_QPA_PLUGIN:
* 0001-Call-KLocalizedString-setApplicationDomain-after-Q-A.patch
* 0002-Use-platform-detection-from-KWorkSpace-in-KCMShell.patch
* 0003-Fix-build-in-kcmshell5-accidentially-landed-the-wron.patch
- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== kde-gtk-config5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3 kde-gtk-config5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== kde-user-manager ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kde-user-manager-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== kernel-firmware ====
Version update (20180312 -> 20180320)
Subpackages: ucode-amd

- Update to version 20180320:
* BCM-0bb4-0306: Update to Cypress license in WHENCE
* linux-firmware: intel: Update Kabylake audio firmware
- detect new style modalias too for AMD CPUs in ucode-amd
(bsc#1084687)

==== kgamma5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kgamma5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== khotkeys5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: khotkeys5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== kinfocenter5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kinfocenter5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* kcm_energyinfo: Allow changing of the timespan if no data available

==== kmenuedit5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kmenuedit5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* Fix pixelated icon scaling for HiDPI screens (kde#390737)

==== kscreen5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kscreen5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== kscreenlocker ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== ksshaskpass5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: ksshaskpass5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== ksysguard5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: ksysguard5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== kwayland-integration ====
Version update (5.12.3 -> 5.12.4)

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== kwin5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: kwin5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* [colorcorrection] Apply current color temperature on screen hot plug
(kde#391623)
* [effects/coverswitch] Fix broken reflection on multi-monitor setup
(kde#378688)
* [AppMenu] Ignore show request when application menu isn't configured
(kde#392012)

==== libgcrypt ====
Subpackages: libgcrypt20 libgcrypt20-32bit

- Extended the fipsdrv dsa-sign and dsa-verify commands with the
- -algo parameter for the FIPS testing of DSA SigVer and SigGen
(bsc#1064455).
* Added libgcrypt-fipsdrv-enable-algo-for-dsa-sign.patch
* Added libgcrypt-fipsdrv-enable-algo-for-dsa-verify.patch

==== libindicator ====
Version update (12.10.2+bzr20151208 -> 16.10.0+bzr20171205)

- Replace dont-build-debug-tools.patch with
libindicator-disable-werror.patch: no need to avoid Ido.
- Update to version 16.10.0+bzr20171205:
+ Fix build with GNOME 3.28.
- Rebase dont-build-debug-tools.patch.
- Add pkgconfig(libido3-0.1) BuildRequires: new dependency.

==== libkdecoration2 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: libkdecorations2-5 libkdecorations2private5

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== libkscreen2 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== libksysguard5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: libksysguard5-helper libksysguard5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== libsolv ====
Version update (0.6.33 -> 0.6.34)
Subpackages: libsolv-tools python-solv

- make sure product files come from /etc/products.d in fallback
search [bnc#1086602]
- bump version to 0.6.34

==== libstorage-ng ====
Version update (3.3.197 -> 3.3.202)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#503
- only insert resize action for devices existing in LHS and RHS
(bsc#1085523)
- added action dependency
- added unit tests
- fixed typo
- added documentation
- 3.3.202
- merge gh#openSUSE/libstorage-ng#502
- Simplified supplements for lang subpkg (bsc#1081454)
- 3.3.201
- merge gh#openSUSE/libstorage-ng#501
- make LockException available in API
- 3.3.200
- merge gh#openSUSE/libstorage-ng#500
- extended documentation
- 3.3.199

==== libustr ====

- Use %license (boo#1082318)

==== libverto ====
Subpackages: libverto1 libverto1-32bit

- Use %license (boo#1082318)

==== libzio ====

- Use %license (boo#1082318)

==== libzypp-plugin-appdata ====
Version update (1.0.1+git.20170629 -> 1.0.1+git.20180327)

- Update to version 1.0.1+git.20180327:
* AsHelper: normalize the repo alias names
- Start zypper lr with ZYPP_PLUGIN_APPDATA_FORCE_COLLECT=1 post
installation (boo#1009745).
- Add relevant Requires(post) to ensure packages are installed in
the right order:
+ appstream-glib >= 0.3.6
+ python3-cmdln
+ python3-createrepo_c
+ libzypp >= 16.13.1
+ zypper
- Update to version 1.0.1+git.20180321:
* ZYpp AsHelper: install AS data into system cache: new python
helper to be a bit smarter (part of boo#996896).
- Modernize spec-file by calling spec-cleaner

==== lsof ====
Version update (4.90 -> 4.91)

- Update to version 4.91
* This revision applies two fixes that correct the Linux PTY
endpoint processing bug [bsc#1082900]

==== milou5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: milou5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== multipath-tools ====
Version update (0.7.3+53+suse.140f4937e9e7 -> 0.7.3+59+suse.1b6191c26774)
Subpackages: kpartx multipath-tools-rbd

- Update to version 0.7.3+59+suse.1b6191c26774:
* libmultipath: don't reject maps with undefined prio (bsc#1085212,
bsc#1075129)
* multipathd: handle errors in uxlsnr as fatal (bsc#1086025)
- Update to version 0.7.3+57+suse.bb6be4c8b4ca:
* multipathd: fix signal blocking logic (bsc#1086025)
* multipath-tools: handle exit signal immediately (bsc#1086025)
* multipath: fix DEF_TIMEOUT use (bsc#1086014)
* multipath-tools: foreign/NVME implementation v2 (upstream accepted)
(bsc#1082419)

==== netcfg ====
Version update (11.5 -> 11.6)

- Include /etc/ethertypes to resolve a conflict between
security:netfilter/ebtables and security:netfilter/iptables-nft. This
ethertypes version comes from iptables, because it contains an additional
entry over the ebtables one. Increased minor version to allow a suitable
Requires statement in ebtables/iptables. FATE#320520
- Use %license (boo#1082318)

==== nghttp2 ====
Subpackages: libnghttp2-14 libnghttp2-14-32bit

- Use %license (boo#1082318)

==== npth ====

- Use %license (boo#1082318)

==== okular ====
Subpackages: okular-lang

- Add some build requirements to enable additional features:
* Qt5TextToSpeech for text-to-speech support
* purpose-devel for enabling the share menu
* libmarkdown-devel for displaying Markdown documents

==== openSUSE-build-key ====

- refreshed the SLE11 build@xxxxxxx key (bsc#1085512)
- added the SLE12 and SLE15 build@xxxxxxx key (bsc#1087276)
gpg-pubkey-39db7c82-5847eb1f.asc
pub rsa2048/0x70AF9E8139DB7C82 2013-01-31 [SC] [expires: 2020-12-06]
Key fingerprint = FEAB 5025 39D8 46DB 2C09 61CA 70AF 9E81 39DB 7C82
uid SuSE Package Signing Key <build@xxxxxxx>
- A new security@xxxxxxx key has been established. (bsc#1082022)

==== openldap2 ====
Subpackages: libldap-2_4-2 libldap-2_4-2-32bit libldap-data openldap2-client

- Use %license (boo#1082318)

==== openssl ====
Version update (1.1.0g -> 1.1.0h)

- Update to 1.1.0h release

==== openssl-1_1 ====
Version update (1.1.0g -> 1.1.0h)
Subpackages: libopenssl1_1 libopenssl1_1-32bit

- Tolerate a Certificate using a non-supported group on server side
(boo#1084651)
* https://github.com/openssl/openssl/pull/5607
* add 0001-Tolerate-a-Certificate-using-a-non-supported-group-o.patch
- Update to 1.1.0h
OpenSSL Security Advisory [27 Mar 2018]
* Constructed ASN.1 types with a recursive definition could exceed
the stack (CVE-2018-0739) (bsc#1087102)
* rsaz_1024_mul_avx2 overflow bug on x86_64 (CVE-2017-3738)
(bsc#1071906)
- refresh patches:
* 0001-Axe-builtin-printf-implementation-use-glibc-instead.patch
* openssl-1.1.0-fips.patch
* openssl-pkgconfig.patch
* openssl-rsakeygen-minimum-distance.patch
* openssl-static-deps.patch

==== osinfo-db ====

- bsc#1086715 - SLE15 patch for osinfo-db has wrong information
in it
add-sle15-support.patch
- bsc#1085757 - Leap 15 patch for osinfo-db has wrong information
in it
add-opensuse-leap-15-support.patch

==== oxygen5 ====
Version update (5.12.3 -> 5.12.4)

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== p11-kit ====
Subpackages: libp11-kit0 p11-kit-tools

- Use %license instead of %doc [bsc#1082318]

==== pam ====
Subpackages: pam-32bit

- Use %license (boo#1082318)

==== patterns-base ====
Subpackages: patterns-base-32bit patterns-base-apparmor
patterns-base-apparmor_opt patterns-base-base patterns-base-basesystem
patterns-base-console patterns-base-enhanced_base
patterns-base-enhanced_base-32bit patterns-base-enhanced_base_opt
patterns-base-minimal_base patterns-base-minimal_base-32bit
patterns-base-readonly_root_tools patterns-base-sw_management
patterns-base-update_test patterns-base-x11 patterns-base-x11_enhanced
patterns-base-x11_opt

- Don't install rollback helper on openSUSE (See why is this even
in here.... thread on openSUSE project mailing list) boo#1086584

==== patterns-kde ====
Subpackages: patterns-kde-kde patterns-kde-kde_edutainment
patterns-kde-kde_games patterns-kde-kde_imaging patterns-kde-kde_internet
patterns-kde-kde_multimedia patterns-kde-kde_office patterns-kde-kde_plasma
patterns-kde-kde_utilities patterns-kde-kde_utilities_opt patterns-kde-kde_yast

- Recommend kdevelop5 instead of kdevelop4 in the kde_ide pattern
(boo#1009986)

==== pcre ====
Subpackages: libpcre1 libpcre1-32bit libpcrecpp0-32bit

- Use %license (boo#1082318)

==== php7 ====
Subpackages: apache2-mod_php7 php7-ctype php7-dom php7-iconv php7-json
php7-mysql php7-pdo php7-pgsql php7-sqlite php7-tokenizer php7-xmlreader
php7-xmlwriter

- build firebird extension only for openSUSE (sle15 requirement)
- Fix build for %arm and aarch64

==== plasma-nm5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: plasma-nm5-lang plasma-nm5-openvpn plasma-nm5-pptp

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== plasma5-addons ====
Version update (5.12.3 -> 5.12.4)
Subpackages: plasma5-addons-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* [konsoleprofiles applet] Do not try to set plasmoid.aspectRatioMode
* Fix default colour used by Swap monitor
* Drop unused X-Plasma-Requires-* entries from applet metadata
* Remove long-time deprecated Encoding=UTF-8 from desktop format files

==== plasma5-desktop ====
Version update (5.12.3 -> 5.12.4)
Subpackages: plasma5-desktop-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* [Folder View] Fix selecting text with Shift+Home/End (kde#392318)
* Make Select/Deselect All operate on the filtered rows.
* Remove long-time deprecated Encoding=UTF-8 from desktop format files
* [touchpad kded] Work around kded fail on X-KDE-OnlyShowOnQtPlatforms lists
* [Touchpad KCM] Sync values to UI on Defaults in Wayland session (kde#392029)
* [Workspace Options KCM] sync() after writing settings
* bad textarea width for rename file if filename too short (kde#386546)
* Fix scrollbar on empty search results (kde#391644)
* kimpanel: Fix the window positioning when plasma uses native-qt scaling.
* Load correct wallpaper plugin configuration in the dialog
* Don't skip certain recent documents in kicker and taskmanager
* Improve multi-desktop folderview behavior (kde#390676)
* Use QUrl in the ScreenMapper API
* use opacity instead of visible (kde#391432)

==== plasma5-integration ====
Version update (5.12.3 -> 5.12.4)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== plasma5-openSUSE ====
Version update (15.0~git20180116T134836~c3ce1b2 ->
15.0~git20180328T172058~30e1414)
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 20180328T172058~30e1414:
* Enable native file dialogs in digikam and showfoto
- Update to 5.12.4
- Update to 20180322T150725~d7ae3c4:
* Provide kcm-about-distrorc in the tarball
* Add a new distributor icon
* Add a new splash screen

==== plasma5-pa ====
Version update (5.12.3 -> 5.12.4)
Subpackages: plasma5-pa-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* call beginRemoveRows before removing the data

==== plasma5-workspace ====
Version update (5.12.3 -> 5.12.4)
Subpackages: plasma5-session plasma5-session-wayland plasma5-workspace-lang
plasma5-workspace-libs

- Don't require plasma5-workspace in plasma5-workspace-devel,
it pulls in a lot of unnecessary requirements and can cause
build loops
- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* [notifications applet] Fix two qml warnings about assigning [undefined]
* Remove long-time deprecated Encoding=UTF-8 from desktop format files
* [Run Command] Pass "event" to runCurrentIndex
* Move to KRunner's second results item with a single keypress (kde#392197)
* Pass proper click coordinates to SNI ContextMenu calls
* libdbusmenu-qt: Remove nonexistant actions directly from the menu
* Set a transient parent for SNI context menus
* [DeviceNotifications Engine] Never show safely remove message when mounting
(kde#391180)
* Use dbus-run-session instead of dbus-launch --exit-with-session
* [System Tray] Fix hiding applets with HiddenStatus
* [Notifications] Remove NoAccessNetworkAccessManagerFactory
* Improve By Desktop sorting for task groups (kde#384747)
* Use separate config group for each wallpaper plugin
* Fix duplicated [Desktop Entry] sections in two menu directory files
- Remove patches, now upstream:
* 0001-Use-dbus-run-session-instead-of-dbus-launch-exit-wit.patch
- Add patches to not set QT_QPA_PLATFORM in a wayland session:
* 0001-Call-KLocalizedString-setApplicationDomain-after-Q-A.patch
* 0002-Add-platform-detection-to-KWorkspace-library-to-adju.patch
* 0003-No-longer-export-QT_QPA_PLATFORM-env-variable-to-the.patch
* 0001-Set-XDG_SESSION_TYPE-wayland-in-startplasmacomposito.patch
- Set GDK_BACKEND=x11 to work around GTK3 bugs:
* 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch
- Add a suffix to the wayland session's name:
* 0001-Add-suffix-to-the-wayland-session-s-name.patch
- Apply upstream patches before downstream patches

==== polkit-kde-agent-5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== popt ====
Subpackages: libpopt0 libpopt0-32bit

- Use %license (boo#1082318)

==== postfix ====
Version update (3.2.4 -> 3.3.0)

- bsc#1082514 autoyast: postfix gets not set myhostname properly -
set to localhost
- Refresh spec-file via spec-cleaner and manual optinizations.
* Add %license macro.
* Set license to IPL-1.0 OR EPL-2.0.
- Update to 3.3.0
*
http://cdn.postfix.johnriley.me/mirrors/postfix-release/official/postfix-3.3.0.RELEASE_NOTES
* Dual license: in addition to the historical IBM Public License
1.0, Postfix is now also distributed with the more recent Eclipse
Public License 2.0. Recipients can choose to take the software
under the license of their choice. Those who are more comfortable
with the IPL can continue with that license.
* The postconf command now warns about unknown parameter names
in a Postfix database configuration file. As with other unknown
parameter names, these warnings can help to find typos early.
* Container support: Postfix 3.3 will run in the foreground with
"postfix start-fg". This requires that Postfix multi-instance
support is disabled (the default). To collect Postfix syslog
information on the container's host, mount the host's /dev/log
socket into the container, for example with "docker run -v
/dev/log:/dev/log ...other options...", and specify a distinct
Postfix syslog_name setting in the container (for example with
"postconf syslog_name=the-name-here").
* Milter support: applications can now send RET and ENVID parameters
in SMFIR_CHGFROM (change envelope sender) requests.
* Postfix-generated From: headers with 'full name' information
are now formatted as "From: name <address>" by default. Specify
"header_from_format = obsolete" to get the earlier form "From:
address (name)".
* Interoperability: when Postfix IPv6 and IPv4 support are both
enabled, the Postfix SMTP client will now relax MX preferences
and attempt to schedule similar numbers of IPv4 and IPv6
addresses. This works around mail delivery problems when a
destination announces lots of primary MX addresses on IPv6, but
is reachable only over IPv4 (or vice versa). The new behavior
is controlled with the smtp_balance_mx_inet_protocols parameter.
* Compatibility safety net: with compatibility_level < 1, the
Postfix SMTP server now warns for mail that would be blocked
by the Postfix 2.10 smtpd_relay_restrictions feature, without
blocking that mail. There still is a steady trickle of sites
that upgrade from an earlier Postfix version.

==== powerdevil5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: powerdevil5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None
- Add patch to support wayland sessions without QT_QPA_PLATFORM:
* 0001-Use-platform-detection-from-KWorkspace-in-Powerdevil.patch

==== procps ====
Subpackages: libprocps6

- Use %license (boo#1082318)

==== python-urwid ====
Version update (1.3.1 -> 2.0.1)

- Update to version 2.0.1
* #275: Late fix for proper exception reraising from within
main loop (by Andrew Dunai & Adam Sampson)
version 2.0.0
* Full Python 2.x/3.x support (by Andrew Dunai)
* Proper handling & customization of OS signals by GLib event
loop (by Federico T)
* vterm: Fix handling of NUL characters (by aszlig)
* Add 256-color support for fbterm (by Benjamin Yates)
* Italics support (by Ian D. Scott)
* Store envron's TERM value as a Screen attribute (by Benjamin
Yates)
* Replaced hashbangs to use proper Python binary (by Douglas La
Rocca)
* Post-change signal for Edit, CheckBox and RadioButton widgets
(by Toshio Kuratomi)
* ListBox.body update (by Random User)
* SimpleListWalker is now default when setting ListBox.body (by
Random User)
* #246, #234: SelectEventLoop alarm improvements (by Dave Jones)
* #211: Title align & borderless sides for LineBox (by Toshio
Kuratomi)
* Support for 'home' and 'end' keys in ListBox (by Random User)
* Various code cleanups (by Jordan Speicher, Marin Atanasov
Nikolov)
* CI fixes (by Marlox, Ian Ward, Anatoly Techtonik, Tony
Cebzanov & Ond?ej Súkup)
* Example fixes (by Kenneth Nielsen)
* Documentation fixes (by anatoly techtonik, Marcin Kurczewski,
mobyte0, Christian Geier & xndcn)
* Code cleanup & typo fixes (by Jakub Wilk & Boris Feld)
* Integration of tox for easier Python cross-version testing (by
Andrew Dunai)
* Test fixes (by Michael Hudson-Doyle, Mike Gilbert & Andrew
Dunai)
* Correct error messages in Decoration (by Marcin Kurczewski)
* #141: Fix for StandardTextLayout.calculate_text_segments
(by Grzegorz Aksamit)
* #221: Fix for raw display should release file descriptors (by
Alain Leufroy)
* #261: Fix issues with unicode characters in ProgressBar (by
Andrew Dunai)
* Fix for 'page up' and 'page down' in ListBox when having
focusable children (by Random User)
* Fixes for examples compatibility with Python 3 (by Lars
Kellogg-Stedman)
* Fix default screen size on raw display (by Andreas Klöckner)
* Fix underlining for padded text (by Random User)
* Fix for terminal widget crash with Python 3 (by Sjc1000)
* Fix for string formatting error (by Jakub Wilk)
* Fix for iterator in WidgetContainerListContentsMixin (by
Marlox)
* Fix for missing `modified` signal in SimpleFocusListWalker
(by Michael Hansen)
* Dropped Python 3.2 support
* Test coverage is now collected
- Dropped python-urwid-fix_py3_test.patch (merged upstream)

==== read-only-root-fs ====
Version update (1.0+git20180227.44d5e8a -> 1.0+git20180321.a5b34ab)

- Disable multiversion feature of libzypp at install time
- Document, that this package should never be installed in a
running system, only during installation
- Update to version 1.0+git20180321.a5b34ab:
* Disable purge-kernels.service, does not work with read-only
root filesystem
* Enable man-db-create.service, man cannot create cache in %post
* Fix OBS URL

==== rebootmgr ====
Version update (0.16 -> 0.17)

- Update to version 0.17
- fix some bugs around etcd locks and reboot fast path
- Use %license instead of %doc [bsc#1082318]

==== rpm ====
Subpackages: rpm-32bit

- do not use the source date epoch as buildtime by default
[bnc#1087065]
new patch: source_date_epoch_buildtime.diff
- handle RISC-V relocation in debugedit
new patch: debugedit-riscv.patch

==== rsyslog ====
Version update (8.32.0 -> 8.33.1)

- rsyslog 8.33.1:
* devcontainer: use some more sensible defaults
* auto-detect if running inside a container (as pid 1)
* config: add include() script object
* template: add option to generate json "container"
* core/template: add format jsonf to constant template entries
* config: add ability to disable config parameter ("config.enable")
* script: permit to use environment variables during configuration
* new global config parameter "shutdown.enable.ctlc"
* config optimizer: detect totally empty "if" statements and optimize them out
* template: constant entry can now also be formatted as json field
* omstdout: support for new-style configuration parameters added
* core: set TZ on startup if not already set
* imjournal bugfix: file handle leak during journal rotation
* lmsig_ksils12 bugfix: dirOwner and dirGroup config was not respected
* script bugfix: replace() function worked incorrectly in some cases
* core bugfix: misadressing in external command parser
* core bugfix: small memory leak in external command parser
* core bugfix: string not properly terminated when RFC5424 MSGID is used
* bugfix: strndup() compatibility layer func copies too much
- the upstream systemd unit file was changed to no longer write the
rsyslog pid, as it is no longer required for tracking under
systemd (-iNONE). Adjust rsyslog-unit.patch to match.
- Use %license instead of %doc [bsc#1082318]
- fix includes for apparmor profile (bsc#1080238)

==== ruby2.5 ====
Subpackages: libruby2_5-2_5 ruby2.5-stdlib

- wrong files where installed from the macro files after adding
dump-version.rb

==== sane-backends ====
Subpackages: sane-backends-autoconfig

- Drop BuildRequires for libieee1284-devel and libieee1284
which is only needed for some parallel port scanners
but parallel port scanners are no longer supported
so that the backends canon_pp, hpsj5s, and mustek_pp
are no longer provided.
- Fixed installation of systemd unit files saned@.service
and saned.socket that enable socket based saned activation
which replaces xinetd (boo#1074054).

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Don't add a suffix for wayland sessions anymore, for symmetry with
gdm and lightdm:
* 0001-Remove-suffix-for-Wayland-session.patch

==== sed ====
Subpackages: sed-lang

- Use %license (boo#1082318)

==== sharutils ====
Subpackages: sharutils-lang

- Add sharutils-CVE-2018-1000097-fix_buffer_overflow.patch to fix
a possibility to overflow the stack (bsc#1085004, CVE-2018-1000097).

==== spectacle ====
Subpackages: spectacle-lang

- Add patch to fix taking screenshots on wayland without the wayland
platform plugin:
* 0001-Decide-to-use-the-wayland-backend-by-looking-at-XDG_.patch

==== sysconfig ====
Subpackages: sysconfig-netconfig

- Use %license instead of %doc [bsc#1082318]

==== systemd ====
Subpackages: libsystemd0 libudev1 libudev1-32bit systemd-32bit
systemd-bash-completion systemd-sysvinit udev

- Rename the tarball to reflect the exact version used (bsc#1087323)
So it's clear that it contains some additional patches on top of the
upstream version. Use the commit hash in the name so the exact
version can easily be identified.
Provide _service file which can be used to retrieve the tarball from
the git repo (with "osc service disabledrun").
- Import commit b83c42d5d91a5ace2b4aa7420e83c98292e6f9e3
a59988ee5 sysusers: make sure to reset errno before calling fget*ent()
98ddbf6b3 sysusers: also add support for NIS entries in /etc/shadow
586c08f63 sysusers: do not append entries after the NIS ones (bsc#1085062
bsc#1045092)
3993df26a compat-rules: fix error detected by the rule syntax checker
- Don't ship machines.target in systemd-container but in systemd main package
machines.target is supposed to be a standard target for
starting/stopping all containers. systemd-nspawn is the main user of
it but other container managers could also make use of it.
- Create systemd-container-mini package
So we don't have to manually track and remove all files that should
be shipped by systemd-container in the case of a bootstrap build.
- Run migrate-sysconfig-i18n.sh also during package installation (bsc#1086164)
This is needed when we upgrade from SLE11.
- Split systemd-container sub-package off (fate#325469)
This split off has been in Factory/TW since a couple of weeks now
without any reported problems and I think it makes also sense to
have it in SLE.

==== systemsettings5 ====
Version update (5.12.3 -> 5.12.4)
Subpackages: systemsettings5-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None
- Support wayland sessions without QT_QPA_PLATFORM set:
* 0001-Use-platform-detection-in-SystemSettings.patch

==== texinfo ====

- Use %license (boo#1082318)

==== tigervnc ====
Subpackages: libXvnc1 xorg-x11-Xvnc

- Enable xvnc.socket if upgraded from previous installation that
had VNC enabled in xinetd configuration. (bnc#1085974)
- Subpackage xorg-x11-Xvnc must also obsolete tightvnc.

==== timezone ====
Version update (2018c -> 2018d)

- timezone update 2018d (bsc#1086729):
* In 2018, Palestine starts DST on March 24, not March 31
* Casey Station in Antarctica changed from +11 to +08 on
2018-03-11 at 04:00
* corrections for historical transitions

==== timezone-java ====
Version update (2018c -> 2018d)

- timezone update 2018d (bsc#1086729):
* In 2018, Palestine starts DST on March 24, not March 31
* Casey Station in Antarctica changed from +11 to +08 on
2018-03-11 at 04:00
* corrections for historical transitions

==== which ====

- Use %license instead of %doc [bsc#1082318]

==== wicked ====
Version update (0.6.46 -> 0.6.47)
Subpackages: libwicked-0-6 wicked-service

- version-0.6.47
- ipoib: do not fail setup on mode or umcast set failure (bsc#1084462)
- bond: avoid reenslave failure in fail_over_mac mode (bsc#1083670)
- Fix show-xml filtering by interface name (issue #735,bsc#954758)

==== xdg-desktop-portal-kde ====
Version update (5.12.3 -> 5.12.4)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.12.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
* None

==== xz ====
Subpackages: liblzma5 liblzma5-32bit xz-lang

- Use %license instead of %doc [bsc#1082318]

==== yast2 ====
Version update (4.0.59 -> 4.0.61)

- Make possible to use the Yast2::Popup class from the Report
module (part of bsc#1082542).
- 4.0.61
- fix behavior of showing timed error popup (found during
debugging bsc#1083672)
- 4.0.60

==== yast2-add-on ====
Version update (4.0.6 -> 4.0.7)

- AutoYaST: Reporting missing AY configuration file entries.
(bnc#1084596)
- 4.0.7

==== yast2-bootloader ====
Version update (4.0.23 -> 4.0.24)

- bnc#1083938
- missing translation
- 4.0.24

==== yast2-firewall ====
Version update (4.0.19 -> 4.0.22)

- Translate the installation finish client title (bsc#1084136)
- 4.0.22
- AutoYaST SuSEFirewall2 Importer: Removed FW_LOG_ACCEPT_CRIT tag
from the list of supported options as firewalld only log dropped
packages and for accepted ones rich rules should be used instead
(bsc#1086655)
- 4.0.21
- More fixes to the firewall AY schema (bsc#1013047)
- Added zone 'sources' element to the AutoYaST schema file.
- Permitted the use of 'listentry' element in list entries.
- 4.0.20

==== yast2-installation ====
Version update (4.0.41 -> 4.0.42)

- System roles: make the radio buttons match other dialogs,
using images (bsc#1084674)
- 4.0.42

==== yast2-network ====
Version update (4.0.22 -> 4.0.24)

- Added missing "textdomain" call to properly translate the
web access check box label (bsc#1081466)
- 4.0.24
- Added networking interfaces 'zone' element to the AutoYaST schema
file (bsc#1013047)
- 4.0.23

==== yast2-ntp-client ====
Version update (4.0.9 -> 4.0.10)

- Permitted the use of 'listentry' element or 'ntp_server' and
allowed to be an empty list in the AutoYaST schema (bsc#1013047)
- 4.0.10

==== yast2-packager ====
Version update (4.0.49 -> 4.0.52)

- Adapt to API changes in storage-ng (part of bsc#1082542).
- 4.0.52
- Added a known upgrade from SLE-HPC to SLES_HPC (bsc#1086734)
- 4.0.51
- SLES-12 + HPC module can be upgraded to SLES_HPC-15, display
correctly this product change in the migration selection and the
upgrade summary dialog (bsc#1086734)
- 4.0.50

==== yast2-storage-ng ====
Version update (4.0.138 -> 4.0.142)

- Honor the LIBSTORAGE_MULTIPATH_AUTOSTART environment variable
(part of fate#318196 and part of the fix for bsc#1082542).
- 4.0.142
- Sanitize devicegraph after probing when there are LVM volume
groups with missing physical volumes (bsc#1083672).
- 4.0.141
- Partitioner: Report detailed reasons why resizing is not possible
(fate#318196)
- 4.0.140
- Partitioner: fixed an error that was causing filesystems to be
deleted in some combination of actions (part of fate#318196).
- AutoYaST: add support for LVM thin pools (bsc#1086596).
- AutoYaST: add support for stripes/stripesize elements.
- 4.0.139

==== yast2-users ====
Version update (4.0.3 -> 4.0.4)

- Fix import of RootPassword if user is specified in autoyast
profile (bsc#1081958)
- 4.0.4


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups